ScopeGuardImpl3< F, P1, P2, P3 > Class Template Reference

scope guard class More...

`#include <ScopeGuard.h>`

Inheritance diagram for ScopeGuardImpl3< F, P1, P2, P3 >:
[legend]
Collaboration diagram for ScopeGuardImpl3< F, P1, P2, P3 >:
[legend]

## Detailed Description

### template<typename F, typename P1, typename P2, typename P3>
class ScopeGuardImpl3< F, P1, P2, P3 >

scope guard class

The documentation for this class was generated from the following file:

- include/qore/ScopeGuard.h